列出資料集
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/datasets \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/datasets"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/datasets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"filename": "<string>",
"fileUrl": "<string>",
"extensionType": "<string>",
"size": 123,
"isParsed": true,
"createdAt": "<string>",
"updatedAt": "<string>"
}列出資料集
列出知識庫中的資料集
GET
/
v1
/
projects
/
{projectId}
/
knowledgebases
/
{knowledgebaseId}
/
datasets
列出資料集
請求
GET https://api.pathors.com/v1/projects/{projectId}/knowledgebases/{knowledgebaseId}/datasets
路徑參數
string
required
專案 ID
string
required
知識庫 ID
標頭
string
required
使用您的 Developer Key 進行 Bearer 令牌認證
回應
回傳資料集的陣列,依建立日期排序(最新的在最前面)。string
資料集的唯一識別符
string
原始上傳的檔案名稱
string
下載原始檔案的 URL
string
檔案副檔名(例如
pdf、txt)number
檔案大小(位元組)
boolean
當資料集已完成切割成區塊並嵌入後為
true;仍在處理中時為 false。string
資料集建立時的 ISO 時間戳記
string
資料集最後更新時的 ISO 時間戳記
範例
curl https://api.pathors.com/v1/projects/{projectId}/knowledgebases/kb_abc123/datasets \
-H "Authorization: Bearer dk_your_key"
[
{
"id": "dataset_abc123",
"filename": "company-handbook.pdf",
"fileUrl": "https://api.pathors.com/datasets/dataset_abc123.pdf",
"extensionType": "pdf",
"size": 2048000,
"isParsed": true,
"createdAt": "2026-01-15T10:30:00Z",
"updatedAt": "2026-01-15T10:35:00Z"
}
]
